org.crosswire.common.swing

## Class CatchingThreadGroup

- java.lang.Object
- - java.lang.ThreadGroup
  - - org.crosswire.common.swing.CatchingThreadGroup

- All Implemented Interfaces:
    Thread.UncaughtExceptionHandler

      public class CatchingThreadGroup
      extends ThreadGroup

  Another way to get a hold of missing exceptions.
  Author:
    Joe Walker
  See Also:
    `The GNU General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatchingThreadGroup(String name)` Simple ctor that names the threadgroup
    `CatchingThreadGroup(ThreadGroup group, String name)` Simple ctor that names the threadgroup, and provides a parent group

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `uncaughtException(Thread t, Throwable ex)`

    - ### Methods inherited from class java.lang.ThreadGroup

      `activeCount, activeGroupCount, allowThreadSuspension, checkAccess, destroy, enumerate, enumerate, enumerate, enumerate, getMaxPriority, getName, getParent, interrupt, isDaemon, isDestroyed, list, parentOf, resume, setDaemon, setMaxPriority, stop, suspend, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CatchingThreadGroup

          public CatchingThreadGroup(String name)

      Simple ctor that names the threadgroup
      Parameters:
        `name` - The name for this group

    - #### CatchingThreadGroup

          public CatchingThreadGroup(ThreadGroup group,
                             String name)

      Simple ctor that names the threadgroup, and provides a parent group
      Parameters:
        `group` - The parent ThreadGroup
        `name` - The name for this group

  - ### Method Detail

    - #### uncaughtException

          public void uncaughtException(Thread t,
                               Throwable ex)

      Specified by:
        `uncaughtException` in interface `Thread.UncaughtExceptionHandler`
      Overrides:
        `uncaughtException` in class `ThreadGroup`